%define appdir  %{_datadir}/%{name}
%define menudir %{_datadir}/applications
%define icondir %{_datadir}/pixmaps
%define podir   %{appdir}/po

Name:           emesene
Version:        1.0.1
Release:        3%{?dist}
Summary:        Instant messaging client for Windows Live Messenger (tm) network

Group:          Applications/Internet
License:        GPLv2+
URL:            http://emesene.org
Source0:        http://downloads.sourceforge.net/emesene/%{name}-%{version}.tar.gz
Source1:        emesene.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  desktop-file-utils, gettext
Requires:       gtk2
Requires:       gnome-python2-extras
Requires:       python

%description
emesene is an instant messaging client for Windows Live Messenger (tm) network.

%prep
%setup -q


%build
%{nil}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__install} -d $RPM_BUILD_ROOT%{appdir}
%{__install} -d $RPM_BUILD_ROOT%{menudir}
%{__install} -d $RPM_BUILD_ROOT%{icondir}
%{__install} -d $RPM_BUILD_ROOT%{_bindir}

%{__cp} -R * $RPM_BUILD_ROOT%{appdir}/
/bin/echo '%{appdir}/%{name}' > $RPM_BUILD_ROOT%{_bindir}/emesene
%{__cp} themes/default/trayicon.png $RPM_BUILD_ROOT%{icondir}/emesene.png
desktop-file-install --dir $RPM_BUILD_ROOT%{menudir}/ %{SOURCE1}

# Controller.py and %{bindir}/emesene should be executable
%{__chmod} 755 $RPM_BUILD_ROOT%{appdir}/Controller.py
%{__chmod} 755 $RPM_BUILD_ROOT%{_bindir}/emesene

# handling locale files
#%find_lang %{name}

%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc docs
%doc COPYING
%dir %{appdir}
%dir %{podir}
%lang(ar) %{podir}/ar
%lang(ca) %{podir}/ca
%lang(de) %{podir}/de
%lang(es) %{podir}/es
%lang(et) %{podir}/et
%lang(fi) %{podir}/fi
%lang(fr) %{podir}/fr
%lang(hu) %{podir}/hu
%lang(it) %{podir}/it
%lang(nb_NO) %{podir}/nb_NO
%lang(nl) %{podir}/nl
%lang(pt) %{podir}/pt
%lang(pt_BR) %{podir}/pt_BR
%lang(sv) %{podir}/sv
%lang(tr) %{podir}/tr
%lang(zh_CN) %{podir}/zh_CN
%lang(zh_TW) %{podir}/zh_TW
%lang(da) %{podir}/da
%lang(el) %{podir}/el
%lang(en_GB) %{podir}/en_GB
%lang(eu) %{podir}/eu
%lang(ga) %{podir}/ga
%lang(gl) %{podir}/gl
%lang(he) %{podir}/he
%lang(hr) %{podir}/hr
%lang(is) %{podir}/is
%lang(ja) %{podir}/ja
%lang(lv) %{podir}/lv
%lang(nds) %{podir}/nds
%lang(nn) %{podir}/nn
%lang(sl) %{podir}/sl
%lang(sq) %{podir}/sq
%lang(sr) %{podir}/sr
%lang(th) %{podir}/th
%lang(nb) %{podir}/nb
%{appdir}/[A-Za-oq-z_]*
%{appdir}/plugins_base
%{appdir}/pygif
%{_bindir}/emesene
%{menudir}/emesene.desktop
%{icondir}/emesene.png


%changelog
* Wed Aug 06 2008 Caius Chance <cchance@redhat.com> - 1.0.1-3.fc9
- Resolves: rhbz#457992 (Refined patch of 1.0.1-2.fc10.)

* Mon Jul 28 2008 Le Coz Florent <louizatakk@gmail.com> - 1.0.1-2.fc9
- rename to emesene.spec and add docs

* Wed Jul 23 2008 Le Coz Florent <louizatakk@gmail.com> - 1.0.1-1.fc9
- update source to ver 1.0.1. (bugfixes only)

* Wed Mar 26 2008 Caius Chance <cchance@redhat.com> - 1.0-1.fc9
- Update source to ver 1.0.

* Thu Jan 31 2008 Caius Chance <cchance@redhat.com> - 0.99-3.fc9
- Fixed locale 'sv' files appearing twice.

* Tue Jan 29 2008 Caius Chance <cchance@redhat.com> - 0.99-2.fc9
- Refined .spec file regarding 'file' section in spec. (rhbz#238379)

* Mon Jan 14 2008 Caius Chance <cchance@redhat.com> - 0.99-1.fc9
- Sync to upstream perferred version number, refined .spec file. (rhbz#238379)

* Mon Jan 07 2008 Caius Chance <cchance@redhat.com> - 1.0-2.fc9
- Updated .spec file by package reviewer's feedback. (rhbz#238379)

* Fri Dec 21 2007 Caius Chance <cchance@redhat.com> - 1.0-1.fc9
- Updated .spec file by package reviewer's feedback. (rhbz#238379)

* Sat Dec 15 2007 Caius Chance <cchance@redhat.com> - 0.1-2.fc9
- Corrected executable file path parameters.

* Fri Dec 14 2007 Caius Chance <cchance@redhat.com> - 0.1-1.fc9
- Adopted from community as new package.

